Loading...
Searching...
No Matches
XrdHttpReadRangeHandler::Error Struct Reference

`#include <XrdHttpReadRangeHandler.hh>`

Collaboration diagram for XrdHttpReadRangeHandler::Error:

## Public Member Functions

| operator bool () const
void | reset ()
void | set (int rc, const std::string &m)

## Public Attributes

std::string | errMsg
bool | errSet {false}
int | httpRetCode {0}

## Detailed Description

Error structure for storing error codes and message. operator bool() can be used to query if a value is set.

Definition at line 74 of file XrdHttpReadRangeHandler.hh.

## Member Function Documentation

## operator bool()

XrdHttpReadRangeHandler::Error::operator bool | ( |  | ) | const

inline explicit

Definition at line 79 of file XrdHttpReadRangeHandler.hh.

{ return errSet; }
XrdHttpReadRangeHandler::Error::errSet
bool errSet
Definition XrdHttpReadRangeHandler.hh:75

References errSet.

## reset()

void XrdHttpReadRangeHandler::Error::reset | ( |  | ) |

inline

Definition at line 84 of file XrdHttpReadRangeHandler.hh.

{ httpRetCode = 0; errMsg.clear(); errSet = false; }
XrdHttpReadRangeHandler::Error::errMsg
std::string errMsg
Definition XrdHttpReadRangeHandler.hh:77
XrdHttpReadRangeHandler::Error::httpRetCode
int httpRetCode
Definition XrdHttpReadRangeHandler.hh:76

References errMsg, errSet, and httpRetCode.

## set()

void XrdHttpReadRangeHandler::Error::set | ( | int | rc,
|  | const std::string & | m )

inline

Definition at line 81 of file XrdHttpReadRangeHandler.hh.

{ httpRetCode = rc; errMsg = m; errSet = true; }

References errMsg, errSet, and httpRetCode.

## Member Data Documentation

## errMsg

std::string XrdHttpReadRangeHandler::Error::errMsg

Definition at line 77 of file XrdHttpReadRangeHandler.hh.

Referenced by reset(), and set().

## errSet

bool XrdHttpReadRangeHandler::Error::errSet {false}

Definition at line 75 of file XrdHttpReadRangeHandler.hh.

{false};

Referenced by operator bool(), reset(), and set().

## httpRetCode

int XrdHttpReadRangeHandler::Error::httpRetCode {0}

Definition at line 76 of file XrdHttpReadRangeHandler.hh.

{0};

Referenced by reset(), and set().

The documentation for this struct was generated from the following file:

- XrdHttpReadRangeHandler.hh